#!/bin/bash

declare -a LIST_OF_FILES=("cos_theta" "crop_image" "Tprofile.txt" "ftoa_signal.txt" "probe_flux_up_signal.txt" "probe_flux_dn_signal.txt" "probe_flux_net_signal.txt" "ground_flux_up_signal.txt" "ground_flux_dn_signal.txt" "ground_flux_net_signal.txt" "cf_signal.txt" "omega_function.txt" "emission_altitude.txt" "Be.txt" "Te.txt" "Tb_signal.txt" "flux_up_signal.txt" "flux_dn_signal.txt" "flux_net_signal.txt" "flux_up.txt" "flux_dn.txt" "flux_net.txt" "total_probe_flux.txt" "budget_signal.txt" "controur_norotate.sh" "controur_rotate.sh" "cooling_rate_signal.txt" "ground_space_NER_signal.txt" "ES_signal.txt" "gas_ground_budget_signal.txt" "gas_ground_coolingrate_signal.txt" "gas_space_budget_signal.txt" "gas_space_coolingrate_signal.txt" "gas_gas_budget_signal.txt" "gas_gas_coolingrate_signal.txt" "budget.txt" "cooling_rate.txt" "gas_ground_budget.txt" "gas_ground_coolingrate.txt" "gas_space_budget.txt" "gas_space_coolingrate.txt" "gas_gas_budget.txt" "gas_gas_coolingrate.txt" "tau_rayleigh.txt" "tau_rayleigh_cumulated.txt" "tau_CO2_cia.txt" "tau_CO2_cia_cumulated.txt" "tau_H2O_cia.txt" "tau_H2O_cia_cumulated.txt" "tau_N2N2_cia.txt" "tau_N2N2_cia_cumulated.txt" "tau_O2O2_cia.txt" "tau_O2O2_cia_cumulated.txt" "tau_AER_H2O_cont.txt" "tau_AER_H2O_cumulated.txt" "tau_total.txt" "tau_total_cumulated.txt" "si_NER.dat" "si_NER1.dat" "si_NER2.dat" "plot_all" "plot_Tb" "plot_cf_map" "plot_emission_altitude" "plot_probe_flux" "plot_si_NER" "plot_si_budget" "plot_si_coolingrate" "plot_si_flux" "gra_Be" "gra_Ftoa" "gra_Tb" "gra_Tb_wavln" "gra_Tb_wavnb" "gra_Te" "gra_Te_wavln" "gra_Te_wavnb" "gra_Tprofile" "gra_cf_map" "gra_dFprobe" "gra_dFtoa" "gra_emission_altitude" "gra_probe_flux" "gra_probe_flux_dn" "gra_probe_flux_net" "gra_probe_flux_up" "gra_si_NER1" "gra_si_NER2" "gra_si_budget" "gra_si_coolingrate" "gra_si_flux" "gra_tau_CO2_CIA" "gra_tau_CO2_CIA_cumulated" "gra_tau_H2O_AER_continuum" "gra_tau_H2O_AER_continuum_cumulated" "gra_tau_H2O_CIA" "gra_tau_H2O_CIA_cumulated" "gra_tau_N2N2_CIA" "gra_tau_N2N2_CIA_cumulated" "gra_tau_O2O2_CIA" "gra_tau_O2O2_CIA_cumulated" "gra_tau_rayleigh" "gra_tau_rayleigh_cumulated" "gra_tau_total" "gra_tau_total_cumulated" "contour_rotate.sh" "contour_norotate.sh" "compression.bash")

function copy_file {
    if [ $# -lt 2 ]
    then
	echo "Error from function copy_file: missing arguments"
	exit 1
    fi
    FILE=$1
    FOLDER=$2
    if [ ! -d $FOLDER ]
    then
	echo "Error from function copy_file: missing folder: "$FOLDER
    fi
    if [ -e $FILE ]
    then
	cp -f $FILE $FOLDER
    fi
}

if [ $# == 0 ]
then
    echo "Missing arguments"
    exit 1
fi

FOLDER=$1
if [ -d "$FOLDER" ]
then
    echo "Folder already exists -- nothing to do"
    exit 0
else
    mkdir $FOLDER
    
    for file in "${LIST_OF_FILES[@]}"
    do
	copy_file $file $FOLDER
    done
fi

exit 0
